function initAddAmmoTT()
{
	%list = "list";
	%setList = "ALL 0";
	%count = TT_ammoSetsGroup.getCount();
	// first determine whether vanilla TT is the only set of ammo types enabled
	for(%i = 0; %i < %count; %i++)
	{
		%set = TT_ammoSetsGroup.getObject(%i);
		if(%set.isPack)
		{
			%packCount++;
			%lastPack = %set.name;
		}
	}
	%isOnlyTT = (%packCount == 1 && %lastPack $= "tt");
	// append ammo sets, omitting some if there's only TT
	for(%i = 0; %i < %count; %i++)
	{
		%set = TT_ammoSetsGroup.getObject(%i);
		%isWepsOrNades = (%set.name $= "weps" || %set.name $= "nades");
		if(%packCount > 1 || (!%set.isPack && !%isWepsOrNades) || (!%isOnlyTT && %isWepsOrNades))
		{
			// replace spaces in the name so they don't get treated as delimiters
			// \xa0 is the non-breaking space
			%name = strreplace(%set.longName, " ", "\xa0");
			%setList = %setList SPC %name SPC -(%i + 1);
		}
	}
	%ammoList = "";
	%ammoIdx = 0;
	%count = TT_allAmmoTypesGroup.getCount();
	for(%i = 0; %i < %count; %i++)
	{
		%type = TT_allAmmoTypesGroup.getObject(%i);
		%name = strreplace(%type.longName, " ", "\xa0");
		%ammoList = setWord(%ammoList, %ammoIdx, %name SPC %i + 1);
		%ammoIdx += 2;
	}
	%args = %list SPC %setList SPC %ammoList TAB "int -1 9999 -1" TAB "bool";
	registerOutputEvent(Player, "AddAmmoTT", %args);
	registerOutputEvent(Bot, "AddAmmoTT", %args);
}
initAddAmmoTT();

// Assume that the ammo type groups do not change after the server is started
function Player::addAmmoTT(%pl, %listIdx, %amount, %ignoreMax)
{
	if(%listIdx < 0)
	{
		%set = TT_ammoSetsGroup.getObject(-%listIdx - 1);
		%count = %set.getCount();
		for(%i = 0; %i < %count; %i++)
		{
			%type = %set.getObject(%i);
			TT_addAmmo(%pl, %type.name, %amount, %ignoreMax);
		}
	}
	else if(%listIdx == 0)
	{
		%count = TT_allAmmoTypesGroup.getCount();
		for(%i = 0; %i < %count; %i++)
		{
			%type = TT_allAmmoTypesGroup.getObject(%i);
			TT_addAmmo(%pl, %type.name, %amount, %ignoreMax);
		}
	}
	else
	{
		%type = TT_allAmmoTypesGroup.getObject(%listIdx - 1);
		TT_addAmmo(%pl, %type.name, %amount, %ignoreMax);
	}
}